# coding=utf-8
from __future__ import unicode_literals, absolute_import, print_function

# Enumeration is deprecated, reference: http://git.gengmei.cc/backend/gm-types
# from rpc.tool.enumeration import Enumeration
from gm_types.gaia import IN_FEED_REASON


def in_feed_reason_convert_for_fan(in_feed_reason):
    if in_feed_reason == IN_FEED_REASON.MY_TOPIC:
        return IN_FEED_REASON.FOLLOW_TOPIC

    elif in_feed_reason == IN_FEED_REASON.MY_TOPIC_VOTE:
        return IN_FEED_REASON.FOLLOW_VOTE_TOPIC

    elif in_feed_reason == IN_FEED_REASON.MY_TOPIC_REPLY:
        return IN_FEED_REASON.FOLLOW_REPLY_TOPIC

    elif in_feed_reason == IN_FEED_REASON.MY_DIARY_REPLY:
        return IN_FEED_REASON.FOLLOW_REPLY_DIARY

    elif in_feed_reason == IN_FEED_REASON.MY_DIARY_VOTE:
        return IN_FEED_REASON.FOLLOW_VOTE_DIARY
